require "defcon/engine"

module Defcon

	def self.authenticate_admin_user!(session)
      if !::Defcon.logged_in?(session)
        return false
      else
        return true
      end
    end

  def self.current_admin_user(session)
    if ::Defcon.logged_in?(session)
      id = session[:admin_id]
      admin = ::Defcon::AdminUser.find_by_id(id)
      if admin.nil?
      	session[:admin_id] = nil
      	session[:admin_username] = nil
      	return nil
      else
      	return admin
      end
    else
      return nil
    end
  end

  def self.logged_in?(session)
    if session[:admin_id].nil?
      return false
    else
      return true
    end
  end

end
